%define module	Crypt-CipherSaber
%define name	perl-%{module}
%define version	0.61
%define release	1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl module implementing CipherSaber encryption
License:	GPL or Artistic
Group:		Development/Perl
Source:		%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-buildroot/
BuildRequires:	perl-devel
BuildArch:	noarch

%description
The Crypt::CipherSaber module implements CipherSaber encryption, described at
http://ciphersaber.gurus.com. It is simple, fairly speedy, and relatively
secure algorithm based on RC4.

%prep
%setup -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Crypt/*
%{_mandir}/*/*

%changelog
* Tue Dec 16 2003 Guillaume Rousse <guillomovitch@mandrake.org> 0.61-1mdk
- first mdk release
